using System;
using System.Collections.Generic;
using System.Data;
using ReactiveUI;
using System.Linq;
using AvaloniaApplication5.Models;
using Microsoft.EntityFrameworkCore;
namespace AvaloniaApplication5.ViewModels
{
    internal class ShowViewModel : ViewModelBase
    {
        public List<Teacher> TeacherList => MainWindowViewModel.myConnection.Teachers.
                                                                       Include(x => x.Gender).
                                                                       Include(x => x.TeacherDisciplines).ThenInclude(x =>x.Discipline).
                                                                      Include(x => x.TeacherCourses).ThenInclude(x => x.Course).
            ToList();
        public void ToAddPage()
        {
            MainWindowViewModel.Instance.PageContent = new AddPage();
        }
     
    }
}